Bug 1054152 - [engine-backend] admin user is unauthorized to move disks
Summary: [engine-backend] admin user is unauthorized to move disks
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 10:47 UTC by Elad
Modified: 2016-02-10 20:51 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-20 14:18:50 UTC
oVirt Team: Storage


Attachments (Terms of Use)
enigne.log (532.37 KB, application/x-gzip)
2014-01-16 10:47 UTC, Elad
no flags Details

Description Elad 2014-01-16 10:47:20 UTC
Created attachment 851005 [details]
enigne.log

Description of problem:
Moving disks between storage domains while logged in with admin user is blocked by engine with this message on UI:

Error while executing action: User is not authorized to perform this action.


Version-Release number of selected component (if applicable):
ovirt-engine-3.4.0-0.2.master.20140106180914.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Try to move disk between storage domains (cold move)

Actual results:

2014-01-16 12:43:27,705 WARN  [org.ovirt.engine.core.bll.MoveDisksCommand] (ajp--127.0.0.1-8702-6) [1e76fd28] CanDoAction of action MoveDisks failed. Reasons:VAR__ACTION__MOVE,VAR__TYPE__VM_DISK,USER_NOT_AUTHORIZE
D_TO_PERFORM_ACTION


Expected results:
User admin should be able to perform all actions in the system

Additional info: engine.log

Comment 1 Sean Cohen 2014-01-20 09:55:55 UTC
Regression?

Comment 3 Ayal Baron 2014-02-17 16:06:25 UTC
Why is this a regression?

Comment 4 Elad 2014-02-19 16:20:31 UTC
Didn't happen in older versions

Comment 5 Daniel Erez 2014-02-20 14:18:50 UTC
Works on latest build.


Note You need to log in before you can comment on or make changes to this bug.